jQuery Form Validator
=====================


Description
-----------
The form validator plugin is tightly coupled with the css and dom manipulation it provides.  The interface and plugin were developed at the same time and currently there's no way to de-couple the logic from the array of hidden alert message divs it manages other than rewriting code.  So take a look at the demo and see if this is something you want to use or bend to your will.  Next version will be skinnable and more modular.  


###Usage###
Currently, this is a two part plugin:

Step 1 : Assign validation to  individual form elements

Step 2 : Assign the validateForm plugin to the form.


First, initialize some form fields:

	var options = {
		allowInput : /regex/, //set to restrict allowed input
		required : true, //is this field required?
		requiredMessage : "Address is required", //custom text alert for required fields
		message : "Enter your Address", //initialize informative message
		validateWith : function //a custom function to validate against
	}

Then, assign to element

	$('#address').isNameField(options);

Lastly, attach to form

	//available options:
	var formOptions = {
		onSuccess : callbackfunction //this will be called on successful validation.  return false to override form submit.
	}

	$('#myForm').validateForm();


###APIs###

There are methods you can call explicitly to validateForm


To reset the form manually to its initial state:

	$('#myForm').validateForm('resetForm');

To run form validation manually (instead of through form submit):

	$('#myForm').validateForm('runValidation');


view working demo here:

http://www.johnplanetorb.com/jquery-form-validator

###Installation###

This plugin requires 3 things

1.	jQuery (Tested with v1.8.2).  You can grab a CDN hosted copy here http://jquery.com/download/ or use js/jquery/jquery.min.js

2.	The validator plugin: (js/dist/formValidator.js or or minified: js/dist/formValidator.min.js)

3.	Styling: css/styles.css


so you have:

`<link rel="stylesheet" href="styles.css" type="text/css"/>`

`<script type='text/javascript' src='jquery.min.js'></script>`

`<script type='text/javascript' src='formValidator.min.js'></script>`


###Demo###
see http://www.johnplanetorb.com/jqueryplugins/formValidator/demo/ for usage
